package cn.superdesk.uniorder.service.operationCenter.impl;

import cn.superdesk.uniorder.dao.entity.operationCenter.accounting.UnifiedAccountingOrderCredit;
import cn.superdesk.uniorder.dao.mapper.operationCenter.accounting.UnifiedAccountingOrderCreditMapper;
import cn.superdesk.uniorder.dao.mapper.operationCenter.accounting.UnifiedAccountingOrderCreditMapperEx;
import cn.superdesk.uniorder.dto.param.operationCenter.order.OperationCenterOrderParam;
import cn.superdesk.uniorder.dto.vo.operationCenter.accounting.UnifiedAccountingOrderInfoVo;
import cn.superdesk.uniorder.service.operationCenter.UnifiedAccountingOrderCreditService;
import com.github.pagehelper.PageInfo;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * @Author : zx
 * @Create : 2023/4/27 16:09
 * Description :
 */
@Slf4j
@Service
@RequiredArgsConstructor
public class UnifiedAccountingOrderCreditServiceImpl implements UnifiedAccountingOrderCreditService {

    private final UnifiedAccountingOrderCreditMapper unifiedAccountingOrderCreditMapper;
    private final UnifiedAccountingOrderCreditMapperEx unifiedAccountingOrderCreditMapperEx;
    @Override
    public int insertSelective(UnifiedAccountingOrderCredit unifiedAccountingOrderCredit) {
        return 0;
    }

    @Override
    public int updateByPrimaryKeySelective(UnifiedAccountingOrderCredit unifiedAccountingOrderCredit) {
        return 0;
    }

    @Override
    public void deleteObj(Long id) {

    }

    @Override
    public UnifiedAccountingOrderCredit findById(Long id) {
        return null;
    }

    @Override
    public List<UnifiedAccountingOrderCredit> findAll(Map<String, Object> queryMap) {
        return null;
    }

    @Override
    public PageInfo<UnifiedAccountingOrderCredit> findByPaging(Map<String, Object> params, Integer pageNo, Integer pageSize) {
        return null;
    }

    @Override
    public List<UnifiedAccountingOrderInfoVo> getOrderCreditList(OperationCenterOrderParam param) {
        return unifiedAccountingOrderCreditMapperEx.getOrderCreditList(param);
    }

}
